Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Interface POAOperations

All Known Subinterfaces:
  POA

public interface POAOperations

Interface definition : POA

Author:
  OpenORB Compiler

Method Summary
`void` | `activate_object_with_id(byte[] id, Servant p_servant)` Operation activate_object_with_id
`byte[]` | `activate_object(Servant p_servant)` Operation activate_object
`IdAssignmentPolicy` | `create_id_assignment_policy(IdAssignmentPolicyValue value)` Operation create_id_assignment_policy
`IdUniquenessPolicy` | `create_id_uniqueness_policy(IdUniquenessPolicyValue value)` Operation create_id_uniqueness_policy
`ImplicitActivationPolicy` | `create_implicit_activation_policy(ImplicitActivationPolicyValue value)` Operation create_implicit_activation_policy
`LifespanPolicy` | `create_lifespan_policy(LifespanPolicyValue value)` Operation create_lifespan_policy
`POA` | `create_POA(java.lang.String adapter_name, POAManager a_POAManager, Policy[] policies)` Operation create_POA
`Object` | `create_reference_with_id(byte[] oid, java.lang.String intf)` Operation create_reference_with_id
`Object` | `create_reference(java.lang.String intf)` Operation create_reference
`RequestProcessingPolicy` | `create_request_processing_policy(RequestProcessingPolicyValue value)` Operation create_request_processing_policy
`ServantRetentionPolicy` | `create_servant_retention_policy(ServantRetentionPolicyValue value)` Operation create_servant_retention_policy
`ThreadPolicy` | `create_thread_policy(ThreadPolicyValue value)` Operation create_thread_policy
`void` | `deactivate_object(byte[] oid)` Operation deactivate_object
`void` | `destroy(boolean etherealize_objects, boolean wait_for_completion)` Operation destroy
`POA` | `find_POA(java.lang.String adapter_name, boolean activate_it)` Operation find_POA
`ServantManager` | `get_servant_manager()` Operation get_servant_manager
`Servant` | `get_servant()` Operation get_servant
`Object` | `id_to_reference(byte[] oid)` Operation id_to_reference
`Servant` | `id_to_servant(byte[] oid)` Operation id_to_servant
`byte[]` | `id()` Read accessor for id attribute
`byte[]` | `reference_to_id(Object reference)` Operation reference_to_id
`Servant` | `reference_to_servant(Object reference)` Operation reference_to_servant
`byte[]` | `servant_to_id(Servant p_servant)` Operation servant_to_id
`Object` | `servant_to_reference(Servant p_servant)` Operation servant_to_reference
`void` | `set_servant_manager(ServantManager imgr)` Operation set_servant_manager
`void` | `set_servant(Servant p_servant)` Operation set_servant
`AdapterActivator` | `the_activator()` Read accessor for the_activator attribute
`void` | `the_activator(AdapterActivator value)` Write accessor for the_activator attribute
`POA[]` | `the_children()` Read accessor for the_children attribute
`java.lang.String` | `the_name()` Read accessor for the_name attribute
`POA` | `the_parent()` Read accessor for the_parent attribute
`POAManager` | `the_POAManager()` Read accessor for the_POAManager attribute

Method Detail

### id

    public byte[] id()

  Read accessor for id attribute
  Returns:
    the attribute value

### create_POA

    public POA create_POA(java.lang.String adapter_name,
                          POAManager a_POAManager,
                          Policy[] policies)
                   throws AdapterAlreadyExists,
                          InvalidPolicy

  Operation create_POA

### find_POA

    public POA find_POA(java.lang.String adapter_name,
                        boolean activate_it)
                 throws AdapterNonExistent

  Operation find_POA

### destroy

    public void destroy(boolean etherealize_objects,
                        boolean wait_for_completion)

  Operation destroy

### create_thread_policy

    public ThreadPolicy create_thread_policy(ThreadPolicyValue value)

  Operation create_thread_policy

### create_lifespan_policy

    public LifespanPolicy create_lifespan_policy(LifespanPolicyValue value)

  Operation create_lifespan_policy

### create_id_uniqueness_policy

    public IdUniquenessPolicy create_id_uniqueness_policy(IdUniquenessPolicyValue value)

  Operation create_id_uniqueness_policy

### create_id_assignment_policy

    public IdAssignmentPolicy create_id_assignment_policy(IdAssignmentPolicyValue value)

  Operation create_id_assignment_policy

### create_implicit_activation_policy

    public ImplicitActivationPolicy create_implicit_activation_policy(ImplicitActivationPolicyValue value)

  Operation create_implicit_activation_policy

### create_servant_retention_policy

    public ServantRetentionPolicy create_servant_retention_policy(ServantRetentionPolicyValue value)

  Operation create_servant_retention_policy

### create_request_processing_policy

    public RequestProcessingPolicy create_request_processing_policy(RequestProcessingPolicyValue value)

  Operation create_request_processing_policy

### the_name

    public java.lang.String the_name()

  Read accessor for the_name attribute
  Returns:
    the attribute value

### the_parent

    public POA the_parent()

  Read accessor for the_parent attribute
  Returns:
    the attribute value

### the_children

    public POA[] the_children()

  Read accessor for the_children attribute
  Returns:
    the attribute value

### the_POAManager

    public POAManager the_POAManager()

  Read accessor for the_POAManager attribute
  Returns:
    the attribute value

### the_activator

    public AdapterActivator the_activator()

  Read accessor for the_activator attribute
  Returns:
    the attribute value

### the_activator

    public void the_activator(AdapterActivator value)

  Write accessor for the_activator attribute
  Parameters:
    `value` - the attribute value

### get_servant_manager

    public ServantManager get_servant_manager()
                                       throws WrongPolicy

  Operation get_servant_manager

### set_servant_manager

    public void set_servant_manager(ServantManager imgr)
                             throws WrongPolicy

  Operation set_servant_manager

### get_servant

    public Servant get_servant()
                        throws NoServant,
                               WrongPolicy

  Operation get_servant

### set_servant

    public void set_servant(Servant p_servant)
                     throws WrongPolicy

  Operation set_servant

### activate_object

    public byte[] activate_object(Servant p_servant)
                           throws ServantAlreadyActive,
                                  WrongPolicy

  Operation activate_object

### activate_object_with_id

    public void activate_object_with_id(byte[] id,
                                        Servant p_servant)
                                 throws ServantAlreadyActive,
                                        ObjectAlreadyActive,
                                        WrongPolicy

  Operation activate_object_with_id

### deactivate_object

    public void deactivate_object(byte[] oid)
                           throws ObjectNotActive,
                                  WrongPolicy

  Operation deactivate_object

### create_reference

    public Object create_reference(java.lang.String intf)
                            throws WrongPolicy

  Operation create_reference

### create_reference_with_id

    public Object create_reference_with_id(byte[] oid,
                                           java.lang.String intf)

  Operation create_reference_with_id

### servant_to_id

    public byte[] servant_to_id(Servant p_servant)
                         throws ServantNotActive,
                                WrongPolicy

  Operation servant_to_id

### servant_to_reference

    public Object servant_to_reference(Servant p_servant)
                                throws ServantNotActive,
                                       WrongPolicy

  Operation servant_to_reference

### reference_to_servant

    public Servant reference_to_servant(Object reference)
                                 throws ObjectNotActive,
                                        WrongPolicy

  Operation reference_to_servant

### reference_to_id

    public byte[] reference_to_id(Object reference)
                           throws WrongAdapter,
                                  WrongPolicy

  Operation reference_to_id

### id_to_servant

    public Servant id_to_servant(byte[] oid)
                          throws ObjectNotActive,
                                 WrongPolicy

  Operation id_to_servant

### id_to_reference

    public Object id_to_reference(byte[] oid)
                           throws ObjectNotActive,
                                  WrongPolicy

  Operation id_to_reference

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD